# Yahoo! UI Library

### Charts Widget 2.5.1

Yahoo! UI Library > charts > YAHOO.widget.PieChart

Show Private Show Protected

## Class YAHOO.widget.PieChart - uses YAHOO.widget.CartesianChart

PieChart class for the YUI Charts widget.

### Constructor

YAHOO.widget.PieChart `( containerId , dataSource , attributes )`

Parameters:
  `containerId <HTMLElement>` Container element for the Flash Player instance.
  `dataSource <YAHOO.util.DataSource>` DataSource instance.
  `attributes <object>` (optional) Object literal of configuration values.

### Methods

#### _getCategoryField

`private void _getCategoryField ( )`
Getter for the categoryField attribute.

Returns: `void`

#### _getDataField

`private void _getDataField ( )`
Getter for the dataField attribute.

Returns: `void`

#### _initAttributes

`private void _initAttributes ( )`
Initializes the attributes.

Returns: `void`

#### _setCategoryField

`private void _setCategoryField ( )`
Setter for the categoryField attribute.

Returns: `void`

#### _setDataField

`private void _setDataField ( )`
Setter for the dataField attribute.

Returns: `void`

#### Methods inherited from YAHOO.widget.CartesianChart:

`_getXField, _getYField, _initAttributes, _setXAxis, _setXField, _setYAxis, _setYField`

### Events

#### beforeCategoryFieldChange

`beforeCategoryFieldChange ( eventInfo )`
Fires before the value for the configuration attribute 'categoryField' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeDataFieldChange

`beforeDataFieldChange ( eventInfo )`
Fires before the value for the configuration attribute 'dataField' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### categoryFieldChange

`categoryFieldChange ( eventInfo )`
Fires when the value for the configuration attribute 'categoryField' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### dataFieldChange

`dataFieldChange ( eventInfo )`
Fires when the value for the configuration attribute 'dataField' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### Events inherited from YAHOO.widget.CartesianChart:

`beforeXAxisChange, beforeXFieldChange, beforeYAxisChange, beforeYFieldChange xAxisChange xFieldChange yAxisChange yFieldChange`

### Configuration Attributes

#### categoryField `- String`

The field in each item that corresponds to the category value.

#### dataField `- String`

The field in each item that corresponds to the data value.

#### Configuration attributes inherited from YAHOO.widget.CartesianChart:

`xAxis, xField, yAxis, yField`

Copyright © 2007 Yahoo! Inc. All rights reserved.